Update unix submodule to latest snapshot